aboutsummaryrefslogtreecommitdiffstats
path: root/testing/mdocml/APKBUILD
diff options
context:
space:
mode:
authorPaul Onyschuk <blink@bojary.koba.pl>2011-06-21 14:34:30 +0200
committerPaul Onyschuk <blink@bojary.koba.pl>2011-06-21 14:55:15 +0200
commite45438a84c61e3708edda1d861fc1836c74a14fd (patch)
tree538b10c3b29510db8980b5f34cbc2223d1ce22f7 /testing/mdocml/APKBUILD
parent9dbf1a40ebbfdb044dedabc77e99c15f127e7c01 (diff)
downloadaports-e45438a84c61e3708edda1d861fc1836c74a14fd.tar.gz
aports-e45438a84c61e3708edda1d861fc1836c74a14fd.tar.bz2
aports-e45438a84c61e3708edda1d861fc1836c74a14fd.tar.xz
testing/mdocml: add man subpackage
Diffstat (limited to 'testing/mdocml/APKBUILD')
-rw-r--r--testing/mdocml/APKBUILD13
1 files changed, 10 insertions, 3 deletions
diff --git a/testing/mdocml/APKBUILD b/testing/mdocml/APKBUILD
index 384881fccc..07241e7799 100644
--- a/testing/mdocml/APKBUILD
+++ b/testing/mdocml/APKBUILD
@@ -9,8 +9,8 @@ license="BSD"
depends=
makedepends=
install=
-subpackages="$pkgname-doc $pkgname-dev"
-source="http://mdocml.bsd.lv/snapshots/mdocml-$pkgver.tar.gz"
+subpackages="$pkgname-doc $pkgname-dev $pkgname-man"
+source="http://mdocml.bsd.lv/snapshots/mdocml-$pkgver.tar.gz man.sh"
_builddir="$srcdir"/$pkgname-$pkgver
@@ -29,4 +29,11 @@ package() {
EXAMPLEDIR=/usr/share/doc/mdocml/examples install
}
-md5sums="497b4278acb96a087ee6f92c64b4a56d mdocml-1.11.3.tar.gz"
+man() {
+ cd "$srcdir"
+ depends="mdocml"
+ install -Dm 755 man.sh "$subpkgdir"/usr/bin/man || return 1
+}
+
+md5sums="497b4278acb96a087ee6f92c64b4a56d mdocml-1.11.3.tar.gz
+d60a6a3ea949f03e7fb90dbe1ca74e1f man.sh"